<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Chat App</title>
    <script src="http://localhost:3000/socket.io/socket.io.js"></script>
    <script>
        var socket = io()
        const rooms = "<%= rooms %>"
        const nama = "<%= nama %>"
    </script>
    <!-- <script defer src="script.js"></script> -->
    <style>
        body {
            padding: 0;
            margin: 0;
            display: flex;
            justify-content: center;
        }

        #message-container {
            width: 80%;
            max-width: 1200px;
        }

        #message-container div {
            background-color: #CCC;
            padding: 5px;
        }

        #message-container div:nth-child(2n) {
            background-color: #FFF;
        }

        #send-container {
            position: fixed;
            padding-bottom: 30px;
            bottom: 0;
            background-color: white;
            max-width: 1200px;
            width: 80%;
            display: flex;
        }

        #message-input {
            flex-grow: 1;
        }
    </style>
</head>

<body>
    <div id="message-container"></div>
    <form id="send-container">
        <input type="text" id="message-input">
        <button type="submit" id="send-button">Send</button>
    </form>
</body>

    <script>
        const messageContainer = document.getElementById('message-container')
        const roomContainer = document.getElementById('room-container')
        const messageForm = document.getElementById('send-container')
        const messageInput = document.getElementById('message-input')
            socket.emit('new-user', rooms, nama)
                socket.on('chat-message', data => {
                    appendMessage(`${data.name}: ${data.message}`)
                })

                socket.on('user-connected', name => {
                    appendMessage(`${name} connected`)
                })

                socket.on('user-disconnected', name => {
                    appendMessage(`${name} disconnected`)
                })
        appendMessage('You joined')
            function appendMessage(message) {
                    const messageElement = document.createElement('div')
                    messageElement.innerText = message
                    messageContainer.append(messageElement)
                }
            messageForm.addEventListener('submit', e => {
                    e.preventDefault()
                    const message = messageInput.value
                    appendMessage(`You: ${message}`)
                    socket.emit('send-chat-message', rooms, message)
                    messageInput.value = ''
                })
    </script>

</html>